#ifndef _Handle_PPrsStd_AISPresentation_1_HeaderFile
#define _Handle_PPrsStd_AISPresentation_1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PPrsStd_AISPresentation_1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PPrsStd_AISPresentation_1);

class Handle(PPrsStd_AISPresentation_1) : public Handle(PDF_Attribute) {
  public:

    Handle(PPrsStd_AISPresentation_1)():Handle(PDF_Attribute)() {} 
    Handle(PPrsStd_AISPresentation_1)(const Handle(PPrsStd_AISPresentation_1)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PPrsStd_AISPresentation_1)(const PPrsStd_AISPresentation_1* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PPrsStd_AISPresentation_1)& operator=(const Handle(PPrsStd_AISPresentation_1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PPrsStd_AISPresentation_1)& operator=(const PPrsStd_AISPresentation_1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PPrsStd_AISPresentation_1* operator->() const 
     {
      return (PPrsStd_AISPresentation_1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PPrsStd_AISPresentation_1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
